Version: 0.5
%global forgeurl https://github.com/dmlc/dmlc-core
%global tag v0.5
%forgemeta

Name:    dmlc-core
Release: 1%{?dist}
Summary: Distributed Machine Learning Common Codebase
License: Apache-2.0
URL:     %{forgeurl}
Source:  %{forgesource}

BuildRequires: cmake gcc-c++ openssl-devel curl-devel

%description
DMLC-Core is the backbone library to support all DMLC projects,
offering the bricks to build efficient and scalable distributed
machine learning libraries.

%package devel
Summary: Distributed Machine Learning Common development files
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the DMLC-Core development files

%prep
%autosetup
# insert a versioned soname as upstream does not yet have one
sed -i -e '/^add_library(dmlc.*)/a set_target_properties(dmlc PROPERTIES SOVERSION 0.0.0)' CMakeLists.txt

%build
%cmake .
%cmake_build

%install
%cmake_install 

%check
%ctest

%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/*

%changelog
* Wed Nov 29 2023 Nathan Scott <nathans@redhat.com> - 0.5-1
- Initial package for Fedora.
